Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.Designer.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientInformationDialog.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.Designer.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientRegistrationDialog.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.Designer.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Access.Views/3.3/ClientViews/ClientView.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -77,9 +77,9 @@
     public void StartProgressView() {
       var message = "Downloading client information. Please be patient.";
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(this, message);
+      Progress.Show(this, message, ProgressMode.Indeterminate);
     }
 
     public void FinishProgressView() {
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().RemoveOperationProgressFromView(this);
+      Progress.Hide(this);
     }
   }
